Printing

Get

get

Retrieve information about RAS printing settings.

Query parameters
SiteIdinteger · int32Optional

Site ID for which to retrieve the RAS universal printing settings (optional)

Responses
chevron-right
200

Success

application/json; api-version=1.0

RAS Printing Settings

embedFontsbooleanOptional

Whether Embed Fonts is enabled or not.

replicatePrinterFontbooleanOptional

Whether the option "Replicate Printer Font Settings" is enabled or not..

replicatePrinterPatternbooleanOptional

Whether the option "Replicate Printer Name Pattern Settings" is enabled or not.

replicatePrinterDriversbooleanOptional

Whether the option "Replicate Printer Drivers Settings" is enabled or not.

driverAllowModestring · enumOptional

Printer Driver Allow Mode.

Possible values:
printerDriversArraystring[] · nullableOptional

Printer Drivers string array.

excludedFontsArraystring[] · nullableOptional

Excluded Fonts string array.

autoInstallFontsstring[] · nullableOptional

Auto Installed Fonts.

printerNamePatternstring · nullableOptional

Printer Name Pattern.

get
/api/PrintingSettings

Update

put

Modify printing settings of a Site. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

Query parameters
SiteIdinteger · int32Optional

Site ID (optional)

Body

Update RAS Universal Printing settings

printerDriversArraystring[] · nullableOptional

Printer Drivers string array.

excludedFontsArraystring[] · nullableOptional

Excluded Fonts string array.

printerNamePatternstring · max: 255 · nullableOptional

Printer Name Pattern. Default pattern: %PRINTERNAME% for %USERNAME% by Parallels Valid pattern variables: %PRINTERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID% Other valid pattern: 2X Universal Printer

embedFontsboolean · nullableOptional

Embed Fonts.

replicatePrinterFontboolean · nullableOptional

Replicate Printer Font Settings.

replicatePrinterPatternboolean · nullableOptional

Replicate Printer Name Pattern Settings.

replicatePrinterDriversboolean · nullableOptional

Replicate Printer Drivers Settings.

driverAllowModestring · enumOptional

Printer Driver Allow Mode.

Possible values:
Responses
put
/api/PrintingSettings

No content

Last updated

Was this helpful?